質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

89.13%

pythonでseleniumを使う時、「This version of ChromeDriver only supports Chrome version 78」とエラーがでる。

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 3,368

yudai109

score 18

前提・実現したいこと

pythonでseleniumを使おうとしています。
ChromeDriverのバージョンが合わないとのエラーが出てしまいます。

環境:mac
chromeのバージョン:78.0.3904.70
(chrome canary 80.0.3953.6もインストールしましたが、chrome driverのバージョンが80台なかったのでchromeで使おうとしています。)

発生している問題・エラーメッセージ

This version of ChromeDriver only supports Chrome version 78

該当のソースコード

【sample.pyのコード】

from selenium import webdriver
from selenium.webdriver.chrome.options import Options
import chromedriver_binary
options = Options()
options.binary_location = '/Applications/Google Chrome Canary.app/Contents/MacOS/Google Chrome Canary'
options.add_argument('--headless')
driver = webdriver.Chrome(chrome_options=options)
driver.get('https://www.google.co.jp/')
html = driver.page_source
print(html)
driver.quit()

【ターミナルに表示されているもの】
sample.py:7: DeprecationWarning: use options instead of chrome_options
  driver = webdriver.Chrome(chrome_options=options)
Traceback (most recent call last):
  File "sample.py", line 7, in <module>
    driver = webdriver.Chrome(chrome_options=options)
  File "/Users/yudai/opt/anaconda3/lib/python3.7/site-packages/selenium/webdriver/chrome/webdriver.py", line 81, in __init__
    desired_capabilities=desired_capabilities)
  File "/Users/yudai/opt/anaconda3/lib/python3.7/site-packages/selenium/webdriver/remote/webdriver.py", line 157, in __init__
    self.start_session(capabilities, browser_profile)
  File "/Users/yudai/opt/anaconda3/lib/python3.7/site-packages/selenium/webdriver/remote/webdriver.py", line 252, in start_session
    response = self.execute(Command.NEW_SESSION, parameters)
  File "/Users/yudai/opt/anaconda3/lib/python3.7/site-packages/selenium/webdriver/remote/webdriver.py", line 321, in execute
    self.error_handler.check_response(response)
  File "/Users/yudai/opt/anaconda3/lib/python3.7/site-packages/selenium/webdriver/remote/errorhandler.py", line 242, in check_response
    raise exception_class(message, screen, stacktrace)
selenium.common.exceptions.SessionNotCreatedException: Message: session not created: This version of ChromeDriver only supports Chrome version 78

試したこと

https://qiita.com/powerbatteryboy/items/c0f15226ee678737fca4
こちらのサイトを元に、ターミナルにて

pip install chromedriver-binary==78.0.3904.70
pip install selenium

を実行。

サイト上にあるテストコードを「sample.py」に記述し、
python sample.py
で実行すると、ターミナルに上記のエラーが出ます。

補足情報(FW/ツールのバージョンなど)

どなたか、ご教授お願いいたします、、、

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • yamap_55

    2019/10/31 10:44

    chromeのバージョンは「78.0.3904.70」となっていますが、ここを再度確認してください。
    「Google Chrome Canary」となっているので、80を起動している気がします。

    キャンセル

  • yudai109

    2019/10/31 10:47

    ご回答ありがとうございます!
    現在デフォルトで起動するchromeのバージョンは「78.0.3904.70」となっています!

    Google Chrome Canaryの部分をGoogle Chromeに書き換えたらいいのでしょうか。。?

    キャンセル

  • yudai109

    2019/10/31 10:49

    Google Chromeに書き換えたところ実行できました!

    ありがとうございました!!

    キャンセル

  • yamap_55

    2019/10/31 11:03

    良かったです。回答の方に転記しますね。

    キャンセル

回答 1

checkベストアンサー

0

「質問への追記・修正の依頼」の記載で解決したようなので転記


chromeのバージョンは「78.0.3904.70」となっていますが、ここを再度確認してください。

options.binary_location = '/Applications/Google Chrome Canary.app/Contents/MacOS/Google Chrome Canary'

↑が「Google Chrome Canary」となっているので、80を起動している気がします。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 89.13%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる